from ftplib import FTP
import xml.etree.ElementTree as ET

ftp = FTP('ftp.bom.gov.au')
file = []
try:
    ftp.login()
    ftp.cwd('anon/gen/fwo')
    ftp.retrbinary('RETR IDV17000.xml', file.append)
finally:
    ftp.quit()

root = ET.fromstringlist(file)
print(root)
print([e.attrib['description'] for e in root.findall('./forecast/area')])
